Bug 145624 - USB2.0 broken on nForce4
USB2.0 broken on nForce4
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Patch, Regression
Depends On:
  Show dependency treegraph
Reported: 2005-01-19 23:58 EST by Robert Hancock
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-16 00:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output from bootup with affected kernel (26.10 KB, text/plain)
2005-02-04 21:41 EST, Robert Hancock
no flags Details
lsusb output from when devices are not detected (11.61 KB, text/plain)
2005-02-04 21:41 EST, Robert Hancock
no flags Details

  None (edit)
Description Robert Hancock 2005-01-19 23:58:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
On an Athlon 64 system using an Asus A8N-SLI Deluxe motherboard
(NVIDIA nForce4 chipset), I have an internal USB 2.0 flash reader
drive, and a Kingston USB 2.0 pen drive. Both of these used to work
fine as late as kernel 2.6.9-1.724. Using kernel 2.6.10-741 no USB 2.0
devices seem to be recognized at all. The ehci-hcd module is loaded
but there is no sign that any devices connected to it have been
detected in the dmesg and they do not show up in lsusb. If I rmmod
ehci-hcd then I can use those devices as USB 1.1 only. Devices
supporting only USB 1.1 still work fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run 2.6.10-741_FC3 kernel on above system

Actual Results:  USB 2.0 devices not detected at all

Expected Results:  USB 2.0 devices detected

Additional info:
Comment 1 Robert Hancock 2005-01-20 00:08:52 EST
Tried the previous 2.6.10-1.737 kernel, that one didn't work either.
Comment 2 Robert Hancock 2005-02-04 21:39:40 EST
Still broken in update kernel 2.6.10-1.760. I still have to use kernel
2.6.9 because of this issue.

Will attach output of dmesg and lsusb when devices are not detected.
Comment 3 Robert Hancock 2005-02-04 21:41:21 EST
Created attachment 110685 [details]
dmesg output from bootup with affected kernel
Comment 4 Robert Hancock 2005-02-04 21:41:58 EST
Created attachment 110686 [details]
lsusb output from when devices are not detected
Comment 5 Robert Hancock 2005-02-05 18:49:51 EST
Reported to linux-usb-devel - this was found to be due to a workaround
for another issue in 2.6.10 causing problems on nForce4 due to another
issue in the nForce4 EHCI controller. The patch described in this
thread resolved the issue:


Comment 6 Robert Hancock 2005-02-27 03:26:36 EST
Problem still present in kernel 2.6.10-766.
Comment 7 Dave Jones 2005-07-15 16:43:55 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Robert Hancock 2005-07-16 00:06:26 EDT
This seems to be fixed in recent FC3 kernels as well as FC4.

Note You need to log in before you can comment on or make changes to this bug.